function [kromosomer,suksess] = lageTilfeldigStartkromosom_KB_utenom_tunglast(generator_grenser,trinnstorrelse,antallGener,populasjon,...
                                                                     MVA,ssk,gen,linjer,gen_nr,gen_typ,tapstak...
                                                                    ,spenningskostnad,generatordata_tapsberegning)
suksess=1;

kromosomer = zeros(populasjon, antallGener);
flest_trinn=0;
ant_trinn=zeros(antallGener);

for j=1:antallGener
    gen_rad=gen_nr(1,j);
    if gen(gen_rad,9)>0
        diff = generator_grenser(2,j)-generator_grenser(1,j);
        ant_trinn(j)=(diff/trinnstorrelse) + 1;
        if ant_trinn(j)>flest_trinn
            flest_trinn=ant_trinn(j);
        end
    elseif gen(gen_rad,9)==0
        ant_trinn(j)=2;
    end
end

andel_av_en_akkumulert = zeros(flest_trinn,antallGener);

for j=1:antallGener
    int=0;
    for a=1:ant_trinn(j)
        andel_av_en=1/ant_trinn(j);
        andel_av_en_akkumulert(a,j)=int+andel_av_en;
        int=andel_av_en_akkumulert(a,j);
    end
end

i=1;
teller=0;

while i<=populasjon
    teller=teller+1;
    for j=1:antallGener
        tilfeldig=rand;
        gen_rad=gen_nr(1,j);
        if gen(gen_rad,9)>0
            for a=1:ant_trinn(j)
                if tilfeldig<andel_av_en_akkumulert(a,j)
                    kromosomer(i,j)=generator_grenser(1,j)+(a-1)*trinnstorrelse;
                    break
                end
            end
        elseif gen(gen_rad,9)==0
            if tilfeldig>=0.5
                kromosomer(i,j)=generator_grenser(2,j);
            elseif tilfeldig<0.5
                kromosomer(i,j)=generator_grenser(1,j);
            end
        end
    end
    testkromosom=kromosomer(i,:);
    fitness=beregnFitness_utenom_tunglast(MVA,ssk,gen,linjer,testkromosom, gen_nr, gen_typ, antallGener,tapstak...
                                          ,spenningskostnad,generatordata_tapsberegning);
    if fitness>0
        i=i+1;
    end
    disp(i)
    
    if teller/i>1000
        suksess=0;
        break
    end
        
end

return;

