function [GA_parametere, kostnadsparametere, dagens_drift,generatortyper]=kongsbergnett_inndata

%%

             
GA_parametere=[100; %Populasjon
                300; %Generasjoner
                0.03; %Mutasjonsrate
                0.2; %Rate for  beholde beste lsninger
                0.6; %Crossover rate
                0.5; %Trinnstrrelse
                10;  %Utgangskostnad i fitnessberegning ved tunglast [Mill kr]
                20;   %Tapstak i fitnessberegning utenom tunglast [MW]
                2; %Spenningskostnad i tunglast [mill kr/feil]
                5];  %Spenningskostnad utenom tunglast [MW/spenningsfeil]


%%
%--------------------Inndata til kostnadsberegninger-------------
%

kostnadsparametere = [14.83; %Annuitetsfaktor
                     1.5;   %Drift og vedlikehold per r i prosent av totalinvestering
                     236000; %Investeringskostnad KB_fast [NOK]. Referert til analyseperiodens begynnelse
                    32700;   %Investeringskostnad KB_var [NOK].  Referert til analyseperiodens begynnelse
                    589000; %Investeringskostnad bryterfelt_fast [NOK]. Referert til analyseperiodens begynnelse
                        0;  %Ekvivalentpris for uttak i kraftstasjoner. [kr/MVAr]
                        0.3; %Ekvivalentpris for energitap i generatorer [kr/kWh]
                       2000; %Brukstid for tapsendring i generatorer [timer]
                       0;  %Ekvivalentkostnad effekttap i nett [kr/kW]
                       0.3; %Ekvivalentkostnad energitap i nett [kr/kWh]
                       1500; %Brukstid for tapsendring i nett [timer]
                       25000]; %Pris for uttak av reaktiv effekt fra sentralnettet i tunglast [kr/MVAr]

dagens_drift= [ 0.555; %Effekttap i tunglast, dagens drift [MW].
                181; %Generatortap i tunglast, dagens drift [kW].
                6.54; %Uttak fra sentralnettet i tunglast, dagens drift [MVAr].
                5.5]; %Reaktiv produksjon i generatorer i tunglast, dagens drift [MVAr]
                    
                    %gen nr    type
generatortyper = [       3       1;
                         4       1;
                         5       3;
                         6       2;
                         7       2;
                         8       2;
                         9       2];

return