function [GA_parametere, kostnadsparametere, dagens_drift,generatortyper]=modumnett_inndata

%%

             
GA_parametere=[100; %Populasjon
                100; %Generasjoner
                0.03; %Mutasjonsrate
                0.2; %Rate for  beholde beste lsninger
                0.6; %Crossover rate
                0.5; %Trinnstrrelse
                30;  %Utgangskostnad i fitnessberegning ved tunglast [Mill kr]
                30;  %Tapstak i fitnessberegning utenom tunglast [MW]
                2; %Spenningskostnad i tunglast [mill kr/feil]
                2];  %Spenningskostnad utenom tunglast [MW/spenningsfeil]


%%
%--------------------Inndata til kostnadsberegninger-------------
%

kostnadsparametere = [14.83; %Kapitaliseringsfaktor
                     1.5;   %Drift og vedlikehold per r i prosent av totalinvestering
                     236000; %Investeringskostnad KB_fast [NOK]. Referert til analyseperiodens begynnelse
                    32700;   %Investeringskostnad KB_var [NOK].  Referert til analyseperiodens begynnelse
                    589000; %Investeringskostnad bryterfelt_fast [NOK]. Referert til analyseperiodens begynnelse
                        0;  %Ekvivalentpris for uttak i kraftstasjoner. [kr/MVAr]
                        0.3; %Ekvivalentpris for energitap i generatorer [kr/kWh]
                       1500; %Brukstid for tapsendring i generatorer [timer]
                       0;  %Ekvivalentkostnad effekttap i nett [kr/kW]
                       0.3; %Ekvivalentkostnad energitap i nett [kr/kWh]
                       1500; %Brukstid for tapsendring i nett [timer]
                       25000]; %Pris for uttak av reaktiv effekt fra sentralnettet i tunglast [kr/MVAr]

dagens_drift= [ 2.137; %Effekttap i tunglast, dagens drift [MW].
                980; %Generatortap i tunglast, dagens drift [kW].
                12.66; %Uttak fra sentralnettet i tunglast, dagens drift [MVAr].
                14.3]; %Reaktiv produksjon i generatorer i tunglast, dagens drift [MVAr]
%%
%----------------------Fordeling av generatorer og kondensatorbatterier---
%
%Type 1 er generator
%Type 2 er kondensatorbatteri i en transformatorstasjon med ledig
%bryterfelt
%Type 3 er kondensatorbatteri i en transformatorstasjon uten ledig
%bryterfelt

                    %gen nr    type
generatortyper = [       3       1;
                         4       1;
                         5       1;
                         6       1;
                         7       1;
                         8       1;
                         9       1;
                        10       1;
                        11       1;
                        12       3;
                        13       3;
                        14       2;
                        15       3;
                        16       3;
                        17       2];

return