function [variasjon_aar_last,variasjon_dogn_last,lastkategori,variasjon_aar_produksjon]=modumnett_variasjon

variasjon_aar_last=ones(28,12);
variasjon_aar_last=variasjon_aar_last*100;

variasjon_aar_last(4,:)=[100 87 83 53 42 36 27 33 39 67 78 93];   %rsvariasjon Vestfossen p ssk Vestfossen
variasjon_aar_last(7,:)=[100 84 82 65 61 58 58 65 60 79 90 100];  %rsvariasjonen Hokksund T1 p ssk Hokksund T1
variasjon_aar_last(8,:)=[100 87 87 68 62 48 49 49 64 75 83 85];   %rsvariasjonen Hokksund T2 p ssk Hokksund T2
variasjon_aar_last(11,:)=[100 86 84 51 43 38 33 41 48 76 78 92];  %rsvariasjonen Skotselv p ssk Skotselv
variasjon_aar_last(13,:)=[100 90 91 34 6 21 9 25 44 49 68 85];    %rsvariasjonen Setersberg p ssk Setersberg
variasjon_aar_last(14,:)=[100 91 89 54 42 38 29 37 51 68 82 99];  %Har ikke hentet rsvariasjonen til Dvikfoss. M GJRES!
variasjon_aar_last(20,:)=[100 88 83 60 49 42 53 73 69 43 89 94];  %Har ikke hentet rsvariasjonen til Nordic Paper Geithusfoss, kan eventuelt bruke Standard.
variasjon_aar_last(23,:)=[100 89 86 62 52 40 37 39 48 69 85 97];   %rsvariasjon Hovde p ssk Hovde
variasjon_aar_last(24,:)=[100 87 86 64 47 36 29 34 40 61 77 92];   %rsvariasjon produksjon og uttak Ramfoss 60 kV
variasjon_aar_last(25,:)=[100 88 86 64 46 36 30 35 42 62 78 94];   %rsvariasjon Ramfoss MNBKOE p ssk Ramfoss

variasjon_dogn_last=[72 69 69 68 69 72 80 86 84 82 82 79 77 75 76 82 91 95 99 100 98 96 90 79;  %Tunglast, virkedag - Dgnvariasjon kategori 1 = Husholdning
                    75 70 68 68 69 69 71 74 79 87 91 90 89 88 88 92 93 95 98 100 99 94 90 80;   %Tunglast, helgedag - Dgnvariasjon kategori 1 = Husholdning
                    71 68 67 67 68 70 76 84 86 85 83 81 78 78 80 87 93 97 99 100 99 97 92 81;   %Lettlast, virkedag - Dgnvariasjon kategori 1 = Husholdning
                    75 69 68 67 67 68 69 72 78 86 91 92 89 88 91 93 95 97 99 100 99 96 91 82;   %Lettlast, helgedag - Dgnvariasjon kategori 1 = Husholdning
                    35 35 37 41 40 49 69 92 98 99 100 100  99 97 93 79 68 61 51 47 42 39 37 36; %Tunglast, virkedag - Dgnvariasjon kategori 2 = Industri 1
                    35 33 33 33 33 33 34 34 36 39  40  41  40 40 39 38 38 38 37 37 36 36 36 35; %Tunglast, helgedag - Dgnvariasjon kategori 2 = Industri 1
                    35 32 32 34 34 34 43 63 90 98  99 100 100 99 98 92 74 63 56 50 46 42 38 36; %Lettlast, virkedag - Dgnvariasjon kategori 2 = Industri 1
                    34 32 31 31 31 31 33 33 34 37  38  39  38 38 37 36 36 36 35 35 35 34 34 34; %Lettlast, helgedag - Dgnvariasjon kategori 2 = Industri 1
                    72 69 69 68 69 72 80 86 90 93 88 85 77 75 76 82 91 95 99 100 98 96 90 79;   %Tunglast, virkedag - Dgnvariasjon kategori 3 = Standard
                    75 70 68 68 69 69 71 74 85 92 91 90 89 88 88 92 93 95 98 100 99 94 90 80;   %Tunglast, helgedag - Dgnvariasjon kategori 3 = Standard
                    71 68 67 67 68 70 76 84 90 92 85 81 78 78 80 87 93 97 99 100 99 97 92 81;   %Lettlast, virkedag - Dgnvariasjon kategori 3 = Standard
                    75 69 68 67 67 68 69 72 78 86 91 92 89 88 91 93 95 97 99 100 99 96 91 82;   %Lettlast, helgedag - Dgnvariasjon kategori 3 = Standard
                    ];

lastkategori=zeros(28,1);
lastkategori(4,1)=1;    %Vestfossen = kategori Husholdning
lastkategori(7,1)=1;    %Hokksund T1 = kategori Husholdning
lastkategori(8,1)=1;    %Hokksund T2 = kategori Husholdning
lastkategori(11,1)=1;    %Skotselv = kategori Husholdning
lastkategori(13,1)=1;    %Setersberg = kategori Husholdning
lastkategori(14,1)=1;   %Dvikfoss = kategori Husholdning
lastkategori(20,1)=2;   %Nordic Paper Geithus = kategori Industri 1
lastkategori(23,1)=1;   %Hovde = kategori Husholdning
lastkategori(24,1)=1;   %Ramfoss = Husholdning
lastkategori(25,1)=1;   %Ramfoss = kategori Husholdning

variasjon_aar_produksjon=zeros(17,12);

variasjon_aar_produksjon(3,:)=[99 90 95 94 100 92 83 68 62 72 84 97];                   %Dvikfoss - rsvariasjon Dvikfoss
variasjon_aar_produksjon(4,:)=[100 78 96 99 96 98 97 94 83 94 96 100];                   %Embretsfoss GE1 - rsvariasjon EmbretsfossG1G2G3                                
variasjon_aar_produksjon(5,:)=[100 78 96 99 96 98 97 94 83 94 96 100];                   %Embretsfoss GE2 - rsvariasjon EmbretsfossG1G2G3                                
variasjon_aar_produksjon(6,:)=[100 78 96 99 96 98 97 94 83 94 96 100];                   %Embretsfoss GE3 - rsvariasjon EmbretsfossG1G2G3
variasjon_aar_produksjon(7,:)=[100 83 80 75 78 74 59 66 76 55 57 64];                      %Embretsfoss GE4 - rsvariasjon EmbretsfossG4
variasjon_aar_produksjon(8,:)=[100 92 99 96 97 92 89 81 75 80 81 95];                   %Geithusfoss - rsvariasjon Geithusfoss
variasjon_aar_produksjon(9,:)=[97 83 87 82 100 83 75 61 71 89 94 92];                     %Ramfoss G1 - rsvariasjon Ramfoss G1
variasjon_aar_produksjon(10,:)=[91 83 81 65 100 85 70 68 52 91 90 78];                   %Ramfoss G2 - rsvariasjon Ramfoss G2
variasjon_aar_produksjon(11,:)=[100 76 57 65 91 93 94 73 60 79 87 90];                  %Ramfoss G3 - rsvariasjon Ramfoss G3

return