function generatortap=tap_i_generatorer(aktiv,reaktiv,generator_nr,generatordata_tapsberegning)

%%
%----------------Legger inn generatordata------------------------
%

inndata_matrise=size(generatordata_tapsberegning);
antall_gen=inndata_matrise(1,1);

for i=1:antall_gen
    if generatordata_tapsberegning(i,1)==generator_nr
        gen_plass=i;
        break
    end
end
                     
S_n=generatordata_tapsberegning(gen_plass,2);
V_n=generatordata_tapsberegning(gen_plass,3);
cos_fi_n=generatordata_tapsberegning(gen_plass,4);
Xd=generatordata_tapsberegning(gen_plass,5);
Xq=generatordata_tapsberegning(gen_plass,6);

fi_n=acos(cos_fi_n);
I_n=S_n/(V_n*sqrt(3));

%%
%-----------------Tap ved merkeverdier og tomgang-------------
%

rotortap_n=generatordata_tapsberegning(gen_plass,7);
rotortap_tomg=generatordata_tapsberegning(gen_plass,8);
statortap_n=generatordata_tapsberegning(gen_plass,9);

%%
%------------Beregning av Ef ved merkeverdier------------------
%

S=S_n;
cos_fi=cos_fi_n;
V=V_n;
I=S/(V*sqrt(3));
fi=acos(cos_fi);

S_pu=S/S_n;
V_pu=V/V_n;
I_pu=I/I_n;

%%
%-------------Beregner rotorspenning ved merkeverdier--------
%

oa_Re=V_pu+(I_pu*Xq*sin(fi_n));

oa_Im=I_pu*Xq*cos(fi_n);

delta_n=atan(oa_Im/oa_Re);

oa=sqrt(oa_Re^2+oa_Im^2);

Iq=I_pu*cos(fi_n+delta_n);
Id=I_pu*sin(fi_n+delta_n);

ac=Id*(Xd-Xq);

Ef_n=oa+ac;


%%
%-----------------Legger inn nye verdier for P,Q og V-----------------
%

P_ny=aktiv;
Q_ny=reaktiv;

S_ny=sqrt(P_ny^2+Q_ny^2);

V_ny=V_n;                           %Setter spenningen fast som standardverdi
I_ny=S_ny/(V_ny*sqrt(3));

if P_ny==0
    fi_ny=0;
else
fi_ny=atan(Q_ny/P_ny);
end

S_pu=S_ny/S_n;
V_pu=V_ny/V_n;
I_pu=I_ny/I_n;

%%
%---------------------Beregner Ef for nye verdier---------------------------
%

oa_Re=V_pu+(I_pu*Xq*sin(fi_ny));

oa_Im=I_pu*Xq*cos(fi_ny);

delta_ny=atan(oa_Im/oa_Re);

oa=sqrt(oa_Re^2+oa_Im^2);

Iq=I_pu*cos(fi_ny+delta_ny);
Id=I_pu*sin(fi_ny+delta_ny);

ac=Id*(Xd-Xq);

Ef_ny=oa+ac;

%%
%-------------------Beregner nye tapsverdier--------------------------
%

rotortap_ny=((Ef_ny/Ef_n)^2)*rotortap_n;
statortap_ny=((I_ny/I_n)^2)*statortap_n;
generatortap=rotortap_ny+statortap_ny-rotortap_tomg;

return
